experiments
Get experiments id
Requires scopes: eval:read
GET
/
api
/
experiments
/
{id}
Get experiments id
curl --request GET \
--url https://evalgate.com/api/experiments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/experiments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/experiments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"variants": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"variantKey": "<string>",
"ordinal": 123,
"name": "<string>",
"configurationHash": "<string>",
"configurationJson": {
"key": "<string>",
"ordinal": 123,
"name": "<string>",
"prompt": {
"versionId": "<string>",
"artifactId": 123,
"contentHash": "<string>",
"payload": {},
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>"
}
],
"systemPrompt": "<string>"
},
"routing": {
"profileId": "<string>",
"provider": "<string>",
"model": "<string>",
"strategy": {}
},
"parameters": {},
"tools": {},
"scorers": [
{
"id": 123,
"name": "<string>",
"model": "<string>",
"promptTemplate": "<string>",
"promptTemplateHash": "<string>",
"criteria": true,
"settings": true
}
],
"calibrationMappings": [
{
"mappingId": "<string>",
"calibrationRunId": "<string>",
"method": "<string>",
"scoreScaleVersion": "<string>",
"mapping": {}
}
],
"policies": {},
"configurationHash": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"executions": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"parentExecutionId": "<string>",
"attempt": 123,
"status": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"totalVariants": 123,
"completedVariants": 123,
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"decisions": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"executionId": "<string>",
"decision": "<string>",
"winningVariantId": "<string>",
"rationale": "<string>",
"comparisonHash": "<string>",
"comparisonJson": {
"baselineVariantKey": "<string>",
"candidateVariantKey": "<string>",
"classification": "not_comparable",
"decisionLogic": [
"<string>"
],
"comparable": true,
"comparisonHash": "<string>",
"metrics": {
"quality": {
"baselinePassRate": 123,
"candidatePassRate": 123,
"delta": 123,
"confidence95": {
"low": 123,
"high": 123
}
},
"scoreDistribution": {
"baseline": [
123
],
"candidate": [
123
],
"meanDelta": 123
},
"cost": {
"baselineUsd": 123,
"candidateUsd": 123,
"deltaUsd": 123,
"unknownBaselineRows": 123,
"unknownCandidateRows": 123
},
"latency": {
"baselineP50Ms": 123,
"candidateP50Ms": 123,
"p50DeltaMs": 123,
"baselineP95Ms": 123,
"candidateP95Ms": 123,
"p95DeltaMs": 123
},
"failures": {
"baseline": {},
"candidate": {},
"newRegressions": 123,
"fixedRegressions": 123,
"toolCallDelta": 123,
"toolErrorDelta": 123,
"policyBlockDelta": 123
}
},
"pairedRows": [
{
"caseId": 123,
"baseline": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"candidate": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"qualityDelta": 123,
"costDeltaUsd": 123,
"latencyDeltaMs": 123,
"classification": "regression",
"warnings": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"missingData": [
"<string>"
]
},
"idempotencyKey": "<string>",
"decidedBy": "<string>",
"decidedAt": "2023-11-07T05:31:56Z"
}
],
"proposals": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"decisionId": "<string>",
"winningVariantId": "<string>",
"status": "<string>",
"target": "<string>",
"environment": "<string>",
"experimentSnapshotHash": "<string>",
"winningConfigurationHash": "<string>",
"comparisonHash": "<string>",
"gateJson": {},
"proposalJson": {},
"idempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluationId": 123,
"name": "<string>",
"description": "<string>",
"status": "<string>",
"baselineVariantKey": "<string>",
"datasetVersionId": "<string>",
"snapshotHash": "<string>",
"snapshotJson": {
"schemaVersion": 1,
"snapshotHashVersion": "sha256-canonical-v1",
"name": "<string>",
"description": "<string>",
"evaluationId": 123,
"environment": "dev",
"seed": 123,
"code": {
"runnerVersion": "<string>",
"codeVersion": "<string>",
"schemaVersion": "<string>"
},
"evaluation": {
"type": "<string>",
"executionSettings": {},
"modelSettings": {},
"customMetrics": {},
"executorType": "<string>",
"executorConfig": {}
},
"dataset": {
"id": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"schema": {},
"rows": [
{
"id": 123,
"name": "<string>",
"input": "<string>",
"expectedOutput": "<string>",
"metadata": true,
"lifecycleState": "<string>",
"originType": "<string>",
"datasetId": "<string>",
"datasetVersionId": "<string>",
"datasetRowId": "<string>",
"datasetRowContentHash": "<string>",
"inputHash": "<string>",
"lastLifecycleTransitionAt": "<string>",
"archivedAt": "<string>",
"supersededById": 123,
"supersededAt": "<string>",
"supersessionReason": "<string>",
"createdAt": "<string>"
}
],
"datasetHubRows": [
{
"id": "<string>",
"ordinal": 123,
"contentHash": "<string>",
"payload": {}
}
]
},
"baselineVariantKey": "<string>",
"variants": [
{
"key": "<string>",
"ordinal": 123,
"name": "<string>",
"prompt": {
"versionId": "<string>",
"artifactId": 123,
"contentHash": "<string>",
"payload": {},
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>"
}
],
"systemPrompt": "<string>"
},
"routing": {
"profileId": "<string>",
"provider": "<string>",
"model": "<string>",
"strategy": {}
},
"parameters": {},
"tools": {},
"scorers": [
{
"id": 123,
"name": "<string>",
"model": "<string>",
"promptTemplate": "<string>",
"promptTemplateHash": "<string>",
"criteria": true,
"settings": true
}
],
"calibrationMappings": [
{
"mappingId": "<string>",
"calibrationRunId": "<string>",
"method": "<string>",
"scoreScaleVersion": "<string>",
"mapping": {}
}
],
"policies": {},
"configurationHash": "<string>"
}
],
"policies": {},
"createdFrom": {
"surface": "playground",
"playgroundId": 123
}
},
"createRequestHash": "<string>",
"winnerPolicy": {
"minimumPassRateDelta": 123,
"maximumCostIncreasePercent": 123,
"maximumP95LatencyIncreasePercent": 123,
"allowIncomparableJudges": false,
"allowRegressions": false
},
"createIdempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get experiments id
